# Global Event Rules

## List Global Event Rules

> Get a list of all GERs

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.GlobalEventRuleInList":{"type":"object","properties":{"id":{"type":"integer"},"org_id":{"type":"string"},"team_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"routing_key":{"type":"string"},"entity_owner":{"$ref":"#/components/schemas/V3.GlobalEventRules.EntityOwner"},"rulesets":{"type":"array","items":{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["team","user","squad"]}}},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/global-event-rules":{"get":{"operationId":"GlobalEventRules_listGlobalEventRules","summary":"List Global Event Rules","description":"Get a list of all GERs","parameters":[{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer"}},{"name":"page_number","in":"query","required":false,"schema":{"type":"integer"}},{"name":"filters.owner_id[]","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"filters.search","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.GlobalEventRules.GlobalEventRuleInList"}},"meta":{"type":"object","properties":{"total_count":{"type":"integer"}},"required":["total_count"]}},"required":["data","meta"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules"]}}}}
```

## Create Global Event Rule

> Create a GER

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.CreatedGlobalEventRuleResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.CreatedGlobalEventRule"}]},"V3.GlobalEventRules.CreatedGlobalEventRule":{"type":"object","required":["id","owner_id","name","description","routing_key","created_at","created_by","updated_at","updated_by"],"properties":{"id":{"type":"integer"},"owner_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"routing_key":{"type":"string"},"entity_owner":{"$ref":"#/components/schemas/V3.GlobalEventRules.EntityOwner"},"rulesets":{"type":"array","items":{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["team","user","squad"]}}},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.GlobalEventRules.CreateGlobalEventRuleRequest":{"type":"object","required":["name","description","owner_id","entity_owner"],"properties":{"name":{"type":"string"},"description":{"type":"string"},"owner_id":{"type":"string"},"entity_owner":{"$ref":"#/components/schemas/V3.GlobalEventRules.EntityOwner"}}}}},"paths":{"/v3/global-event-rules":{"post":{"operationId":"GlobalEventRules_createGlobalEventRule","summary":"Create Global Event Rule","description":"Create a GER","parameters":[],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.CreatedGlobalEventRuleResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.GlobalEventRules.CreateGlobalEventRuleRequest"}}}}}}}}
```

## Get Global Event Rule by ID

> Get a GER by its ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.GlobalEventRuleResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.GlobalEventRule"}]},"V3.GlobalEventRules.GlobalEventRule":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.CreatedGlobalEventRule"}]},"V3.GlobalEventRules.CreatedGlobalEventRule":{"type":"object","required":["id","owner_id","name","description","routing_key","created_at","created_by","updated_at","updated_by"],"properties":{"id":{"type":"integer"},"owner_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"routing_key":{"type":"string"},"entity_owner":{"$ref":"#/components/schemas/V3.GlobalEventRules.EntityOwner"},"rulesets":{"type":"array","items":{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["team","user","squad"]}}},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/global-event-rules/{ger_id}":{"get":{"operationId":"GlobalEventRules_getGlobalEventRuleById","summary":"Get Global Event Rule by ID","description":"Get a GER by its ID","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.GlobalEventRuleResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules"]}}}}
```

## Delete Global Event Rule by ID

> Delete a GER by its ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/global-event-rules/{ger_id}":{"delete":{"operationId":"GlobalEventRules_deleteGlobalEventRuleById","summary":"Delete Global Event Rule by ID","description":"Delete a GER by its ID","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules"]}}}}
```

## Update Global Event Rule by ID

> Update a GER by its ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Global Event Rules"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.GlobalEventRules.GlobalEventRuleResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.GlobalEventRule"}]},"V3.GlobalEventRules.GlobalEventRule":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.GlobalEventRules.CreatedGlobalEventRule"}]},"V3.GlobalEventRules.CreatedGlobalEventRule":{"type":"object","required":["id","owner_id","name","description","routing_key","created_at","created_by","updated_at","updated_by"],"properties":{"id":{"type":"integer"},"owner_id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"routing_key":{"type":"string"},"entity_owner":{"$ref":"#/components/schemas/V3.GlobalEventRules.EntityOwner"},"rulesets":{"type":"array","items":{"$ref":"#/components/schemas/V3.GlobalEventRules.Ruleset"}},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.EntityOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["team","user","squad"]}}},"V3.GlobalEventRules.Ruleset":{"type":"object","properties":{"id":{"type":"integer"},"global_event_rule_id":{"type":"integer"},"alert_source_shortname":{"type":"string"},"alert_source_version":{"type":"string"},"ordering":{"type":"array","items":{"type":"integer"}},"catch_all_action":{"$ref":"#/components/schemas/V3.GlobalEventRules.RuleAction"},"created_at":{"type":"string","format":"date-time"},"created_by":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"updated_by":{"type":"string"}}},"V3.GlobalEventRules.RuleAction":{"type":"object","required":["route_to"],"properties":{"route_to":{"type":"string","description":"The service ID to which the alert should be routed."}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.GlobalEventRules.UpdateGlobalEventRuleRequest":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"entity_owner":{"$ref":"#/components/schemas/V3.GlobalEventRules.EntityOwnerUpdate"}}},"V3.GlobalEventRules.EntityOwnerUpdate":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string","enum":["team","user","squad"]}}}}},"paths":{"/v3/global-event-rules/{ger_id}":{"patch":{"operationId":"GlobalEventRules_updateGlobalEventRuleById","summary":"Update Global Event Rule by ID","description":"Update a GER by its ID","parameters":[{"name":"ger_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.GlobalEventRules.GlobalEventRuleResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Global Event Rules"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.GlobalEventRules.UpdateGlobalEventRuleRequest"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/api-reference/global-event-rules.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
